/* $Header: /usr2/brugere/jbln/uc133/src/RCS/curses.c,v 1.2 1995/02/24 02:13:54 jbln Exp $ */

#include <stdio.h>
#include <malloc.h>
#include <string.h>
#include <ctype.h>

#include "uc.h"
#include "cfgfile.h"


/* ===== BOX DRAWING ===================================== */

#define HLINECHR '-'
#define VLINECHR '!'
#define TLCHR '+'
#define TRCHR '+'
#define BLCHR '+'
#define BRCHR '+'


static int curses_on=0;


/******************************************************************
   CURSES ROUTINES
******************************************************************/
setup_curses()
{
   raw();
   noecho();
   cbreak();
   nonl();
   keypad(stdscr, TRUE);
   curses_on = 1;
}


close_curses()
{
   endwin();
}


show_box(l,t,r,b)
int l,t,r,b;
{
   int x,y;

   for (x=l+1 ; x<r ; x++)
   {
      mvaddch(t, x, HLINECHR);
      mvaddch(b, x, HLINECHR);
   }

   for (y=t+1 ; y<b ; y++)
   {
      mvaddch(y, l, VLINECHR);
      mvaddch(y, r, VLINECHR);
   }

   mvaddch(t, l, TLCHR);
   mvaddch(t, r, TRCHR);
   mvaddch(b, l, BLCHR);
   mvaddch(b, r, BRCHR);
}
