/* $Header: /usr2/brugere/jbln/uc133/src/RCS/fassoc.c,v 1.4 1995/03/06 23:18:47 jbln Exp jbln $ */

#include <stdio.h>
#include <malloc.h>
#include <string.h>
#include <ctype.h>

#include "uc.h"
#include "cfgfile.h"
#include "input.h"

ASSOC *fassoc = NULL;
int assoc_num = 0;

static char *assoc_prompt();
static char *assoc_env();

/************************************************************
   FILE ASSOCIATION
************************************************************/

assoc_test(pos, fname)
int pos;
char *fname;
{
   int n;
   int found = -1, do_wait;
   char *cmd;

   for (n=0 ; n<assoc_num && found==-1 ; n++)
      if (fname_match(fname, fassoc[n].mask))
	 found = n;

   if (found == -1)
      return(0);

   cmd = assoc_macro(pos, fassoc[found].command, fname, &do_wait);

   do_fileexec(pos, cmd, do_wait);

   return(1);
}


char *assoc_macro(pos, cmd, fname, do_wait)
int pos;
char *cmd, *fname;
int *do_wait;
{
   static char str[500];
   int n=0, m;
   char *s;

   *do_wait = 0;
   s = cmd;

   while (*s != 0)
   {
      if (*s == '!')
      {
	 if (*(s+1) == '.')
	 {
	    s += 2;
	    if (*s == '!')
	    {
	       s++;
	       m = 0;
	       while (fname[m] != 0)
		  str[n++] = fname[m++];
	    }
	    else
	    {
	       while (fname[m] != 0  &&  fname[m] != '.')
		  str[n++] = fname[m++];
	    }
	 }
	 else
	 if (*(s+1) == '/')
	 {
	    s += 2;
	    m = 0;
	    while (uc[pos].path[m] != 0)
	    {
	       str[n++] = uc[pos].path[m++];
	    }
	 }
	 else
	 if (*(s+1) == '!')
	 {
	    s += 2;
	    str[n++] = '!';
	 }
	 else
	 if (*(s+1) == 'w')
	 {
	    s += 2;
	    *do_wait = 1;
	 }
	 else
	 if (*(s+1) == '{')
	 {
	    s += 2;
	    s = assoc_prompt(s,&str[n],&n);
	 }
	 else
	 if (*(s+1) == '(')
	 {
	    s += 2;
	    s = assoc_env(s, &str[n], &n);
	 }
	 else
	 {
	    s++;
	    m = 0;
	    while (fname[m] != 0  &&  fname[m] != '.')
	       str[n++] = fname[m++];
	 }
      }
      else
      {
	 str[n] = *s;
	 n++;
	 s++;
      }
   }

   str[n] = 0;
   return(str);
}


static char *assoc_prompt(src, dst, pos)
char *src, *dst;
int *pos;
{
   int n;

   move(22,0);
   clrtoeol();

   for (n=0 ; *src!='}' && *src!=0  &&  n<60 ; n++, src++)
      mvaddch(22,n, *src);
   mvaddch(22,n++, ' ');

   if (inp_input(n+1,22,dst, 78-n,100,0) == INPENTER)
   {
      *pos += strlen(dst);
   }

   if (*src != 0)
      src++;
   return(src);
}


static char *assoc_env(src, dst, pos)
char *src, *dst;
int *pos;
{
   char *e, ename[51];
   int n;
   
   for (n=0 ; *src!=')' && *src!=0  &&  n<50 ; n++, src++)
      ename[n] = *src;
   ename[n] = 0;

   if (*src != 0)
      src++;

   if ((e=(char *)getenv(ename)) == NULL)
      return(src);

   n = 0;
   while (*e != 0)
   {
      dst[n++] = *e;
      *pos += 1;
      e++;
   }

   return(src);
}
